# Class WindowTitleDirective

#### Implements

- OnInit

- Defined in packages/angular/window-system/src/lib/window-title.directive.ts:20

#####
Index

### Constructors

constructor

### Properties

template
viewContainerRef
windowRef

### Methods

ngOnInit
ngTemplateContextGuard

## Constructors

### constructor

- new WindowTitleDirective(): WindowTitleDirective

- #### Returns WindowTitleDirective

## Properties

### `Private` `Readonly` template

template: TemplateRef<WindowTitleTemplateContext> = ...

- Defined in packages/angular/window-system/src/lib/window-title.directive.ts:23

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef = ...

- Defined in packages/angular/window-system/src/lib/window-title.directive.ts:24

### `Private` `Readonly` windowRef

windowRef: WindowRef<any, any> = ...

- Defined in packages/angular/window-system/src/lib/window-title.directive.ts:22

## Methods

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-title.directive.ts:37

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard(dir, ctx): ctx is WindowTitleTemplateContext

- Asserts the correct type of the context for the template that `NgForOf` will render.

  The presence of this method is a signal to the Ivy template type-check compiler that the `NgForOf` structural directive renders its template with a specific context type.

  #### Parameters

  - dir: WindowTitleDirective
  - ctx: any

  #### Returns ctx is WindowTitleTemplateContext

  - Defined in packages/angular/window-system/src/lib/window-title.directive.ts:32